#
# Conditional build:
%bcond_without	nautilus	# Nautilus extension
%bcond_without	transparency	# restore transparency feature

Summary:	GNOME Terminal
Summary(pl.UTF-8):	Terminal dla GNOME
Name:		gnome-terminal
Version:	3.38.1
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-terminal/3.38/%{name}-%{version}.tar.xz
# Source0-md5:	8e131d6c4eca8843bec9421e43191790
Patch1:		%{name}-transparency.patch
URL:		https://wiki.gnome.org/Apps/Terminal/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	dconf-devel >= 0.14
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.52.0
BuildRequires:	gnome-shell-devel >= 3.12.0
BuildRequires:	gsettings-desktop-schemas-devel >= 0.1.0
BuildRequires:	gtk+3-devel >= 3.22.27
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-progs
%{?with_nautilus:BuildRequires:	nautilus-devel >= 3.28.0}
BuildRequires:	pcre2-8-devel >= 10.00
BuildRequires:	pkgconfig >= 1:0.12.0
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	tar >= 1:1.22
BuildRequires:	vte-devel >= 0.62.1
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.52.0
Requires:	dconf >= 0.14
Requires:	glib2 >= 1:2.52.0
Requires:	gsettings-desktop-schemas >= 0.1.0
Requires:	gtk+3 >= 3.22.27
Requires:	terminfo
Requires:	vte >= 0.62.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a terminal thing that isn't finished at all.

%description -l pl.UTF-8
To jest terminal, na razie całkowicie nie dokończony.

%package -n nautilus-extension-terminal
Summary:	GNOME Terminal extension for Nautilus
Summary(pl.UTF-8):	Rozszerzenie GNOME Terminal dla Nautilusa
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus >= 3.28.0
Obsoletes:	nautilus-open-terminal < 0.20-2

%description -n nautilus-extension-terminal
This package provides a Nautilus extension that adds the 'Open in
Terminal' option to the right-click context menu in Nautilus.

%description -n nautilus-extension-terminal -l pl.UTF-8
Ten pakiet dostarcza rozszerzenie Nautilusa dodające opcję "Otwórz w
terminalu" do menu kontekstowego uaktywnianego prawym klawiszem myszy
w Nautilusie.

%prep
%setup -q
%{?with_transparency:%patch1 -p1}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	%{?with_nautilus:--with-nautilus-extension}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	localedir=%{_localedir}

%if %{with nautilus}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/libterminal-nautilus.la
%endif

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_bindir}/gnome-terminal
%attr(755,root,root) %{_libexecdir}/gnome-terminal-server
%{_datadir}/dbus-1/services/org.gnome.Terminal.service
%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.xml
%{_datadir}/gnome-shell/search-providers/gnome-terminal-search-provider.ini
%{_datadir}/metainfo/org.gnome.Terminal.appdata.xml
%{_desktopdir}/org.gnome.Terminal.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Terminal.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Terminal-symbolic.svg
%{systemduserunitdir}/gnome-terminal-server.service
%{_mandir}/man1/gnome-terminal.1*

%if %{with nautilus}
%files -n nautilus-extension-terminal
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libterminal-nautilus.so
%{_datadir}/metainfo/org.gnome.Terminal.Nautilus.metainfo.xml
%endif
%changelog
* Thu Oct 08 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-terminal.git;a=log;h=master

* Thu Oct 08 2020 Jakub Bogusz <qboosh@pld-linux.org> db63109
- updated to 3.38.1

* Sun Sep 20 2020 Jakub Bogusz <qboosh@pld-linux.org> 636978f
- updated to 3.38.0
- updated transparency patch

* Mon Jun 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 4de6f86
- updated to 3.36.2
- updated transparency patch

* Fri Nov 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 385d851
- updated to 3.34.2
- updated transparency patch

* Sun Jan 20 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> bb11d6b
- Updated to 3.30.2

* Tue Mar 28 2017 Marcin Banasiak <marcin.banasiak@gmail.com> d4bc1a2
- Update to 3.24.0

* Thu Jul 28 2016 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 2b7dad9
- updated to 3.20.2
- disabled wordseps patch (not applicable)
- added transparency patch

* Sun Dec 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> 18a2bca
- updated to 3.18.2

* Wed Sep 30 2015 Łukasz Kieś <kiesiu@pld-linux.org> 8ff297c
- updated to 3.18.0

* Tue Sep 22 2015 Elan Ruusamäe <glen@delfi.ee> d7796de
- bringing back wordseps configurability

* Tue Sep 22 2015 Elan Ruusamäe <glen@delfi.ee> 70ff9e1
- Revert "wordseps patch not applicable anymore"

* Tue May 19 2015 Łukasz Kieś <kiesiu@pld-linux.org> 10e348a
- updated to 3.16.2

* Sun Apr 19 2015 Łukasz Kieś <kiesiu@pld-linux.org> aad41f9
- updated to 3.16.1

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 5fd9b57
- x32 rebuild
- release 2 (by relup.sh)

* Sat Mar 28 2015 Łukasz Kieś <kiesiu@pld-linux.org> af2bc45
- updated to 3.16.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a84b1e9
- updated gettext BR

* Tue Nov 18 2014 Jan Rękorajski <baggins@pld-linux.org> e876ebf
- release 2 (by relup.sh)

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 4597c94
- up to 3.14.2
- wordseps patch not applicable anymore

* Wed Jul 09 2014 Marcin Banasiak <marcin.banasiak@gmail.com> e13bebb
- Update to 3.12.3

* Thu May 15 2014 Marcin Banasiak <marcin.banasiak@gmail.com> d1c7bc9
- Update to 3.12.2

